msourav16 msourav16 - 2 months ago 99
Python Question

Error while using Graphlab Create Jupyter

I have recently upgraded the Graph Lab create version that I had. While running codes using the Jupyter console I came up with the following errors:

from __future__ import division
import graphlab
import math
import string

ACTION REQUIRED: Dependencies libstdc++-6.dll and libgcc_s_seh-1.dll not found.
1. Ensure user account has write permission to C:\Anaconda3\envs\gl-env\lib\site-packages\graphlab
2. Run graphlab.get_dependencies() to download and install them.
3. Restart Python and import graphlab again.**

I am not a CS person, and am not sure why this is coming up. Will help if someone can suggest the steps. I have got both Python 2.7 and 3.5 versions and Anaconda 2 and 3.

Also, while uploading files above 25 mb its giving errors. Not too sure cause it used to be ok before upgrading Graphlab create. I have tried uninstalling and reinstalling Python and Anaconda but nothing worked.


Firstly, make sure Jupyter notebook is CLOSED.

  1. Open the GraphLab Create Launcher and go to the 'TERMINAL' button.
  2. Type in import graphlab (there may be an error message, just ignore it).
  3. Now type in graphlab.get_dependencies()

The terminal will install all of the proper dependencies. Just wait for it to be finished. You can then close the terminal window and open the Jupyter Notebook again. Just try to run your code in the notebook again, it should work.

Hope this helps!